Type to search.

Clean up the snapshot repository

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Trigger the review of the contents of a snapshot repository and delete any stale data not referenced by existing snapshots.

About managing snapshot

Required privileges

Cluster privileges manage

Path parameters

repository string required

The name of the snapshot repository to clean up.

Query parameters

master_timeout string · default: 30s

The period to wait for a connection to the master node. If the master node is not available before the timeout expires, the request fails and returns an error. To indicate that the request should never timeout, set it to -1

timeout string · default: 30s

The period to wait for a response from all relevant nodes in the cluster after updating the cluster metadata. If no response is received before the timeout expires, the cluster metadata update still applies but the response will indicate that it was not completely acknowledged. To indicate that the request should never timeout, set it to -1.

Response

application/json
results object required

Statistics for cleanup operations.

deleted_blobs number required

The number of binary large objects (blobs) removed from the snapshot repository during cleanup operations. A non-zero value indicates that unreferenced blobs were found and subsequently cleaned up.

deleted_bytes number required

The number of bytes freed by cleanup operations.